<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.UseLogging Field
DatabaseEnvironmentConfig Class See Also Send Feedback

If true, initialize the logging subsystem.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool UseLogging

Visual Basic (Declaration)

    Public UseLogging As Boolean

Visual C++

    public:
    bool UseLogging

# Remarks

This subsystem should be used when recovery from application or system failure is necessary. If the log region is being created and log files are already present, the log files are reviewed; subsequent log writes are appended to the end of the log, rather than overwriting current log entries.

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace